org.eclipse.rdf4j.model.vocabulary

## Class WGS84

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.WGS84

-     public class WGS84
      extends Object

  Constants for the Basic Geo (WGS84 lat/long) Vocabulary.
  Author:
    Alessandro Bollini
  See Also:
    Basic Geo (WGS84 lat/long) Vocabulary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ALT` The `wgs84:alt` relation.
    `static IRI` | `EVENT` The `wgs84:Event` class.
    `static IRI` | `LAT` The `wgs84:lat` relation.
    `static IRI` | `LAT_LONG` The `wgs84:lat_long` relation.
    `static IRI` | `LOCATION` The `wgs84:location` relation.
    `static IRI` | `LONG` The `wgs84:long` relation.
    `static String` | `NAMESPACE` The WGS84 namespace ("http://www.w3.org/2003/01/geo/wgs84_pos#").
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the WGS84 namespace.
    `static IRI` | `POINT` The `wgs84:Point` relation.
    `static String` | `PREFIX` Recommended prefix for the RDF Schema namespace ("wgs84").
    `static IRI` | `SPATIAL_THING` The `wgs84:SpatialThing` class.
    `static IRI` | `TEMPORAL_THING` The `wgs84:TemporalThing` class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WGS84()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The WGS84 namespace ("http://www.w3.org/2003/01/geo/wgs84_pos#").
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the RDF Schema namespace ("wgs84").
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the WGS84 namespace.

    - #### SPATIAL_THING

          public static final IRI SPATIAL_THING

      The `wgs84:SpatialThing` class.

    - #### TEMPORAL_THING

          public static final IRI TEMPORAL_THING

      The `wgs84:TemporalThing` class.

    - #### EVENT

          public static final IRI EVENT

      The `wgs84:Event` class.

    - #### POINT

          public static final IRI POINT

      The `wgs84:Point` relation.

    - #### LOCATION

          public static final IRI LOCATION

      The `wgs84:location` relation.

    - #### LAT

          public static final IRI LAT

      The `wgs84:lat` relation.

    - #### LONG

          public static final IRI LONG

      The `wgs84:long` relation.

    - #### ALT

          public static final IRI ALT

      The `wgs84:alt` relation.

    - #### LAT_LONG

          public static final IRI LAT_LONG

      The `wgs84:lat_long` relation.

  - ### Constructor Detail

    - #### WGS84

          public WGS84()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.